<?php

use Illuminate\Support\Facades\Route;

Route::get('/', 'Peertube\Home@index');
Route::get('/home', 'Peertube\Home@index');

Route::get('/a/{id}/{cat?}/{page?}', 'Peertube\Account@index');
Route::get('/c/{id}/{cat?}/{page?}', 'Peertube\Channel@index');
Route::get('/w/{id}', 'Peertube\Watch@index');

Route::get('/logout', 'Peertube\Logout@logout');
Route::group(['prefix' => 'login'], function () {
  Route::get('/', 'Peertube\Login@index');
  Route::post('/', 'Peertube\Login@login');
});
Route::get('/signup', 'Peertube\Signup@index');

Route::group(['prefix' => 'about'], function () {
  Route::get('/', 'Peertube\About@instance');
  Route::get('/instance', 'Peertube\About@instance');
  Route::get('/lightpeer', 'Peertube\About@lightpeer');
  Route::get('/follows', 'Peertube\About@follows');
});

Route::group(['prefix' => 'my-account'], function () {
  Route::get('/', 'Peertube\Myaccount\Settings@index');
  Route::get('/settings', 'Peertube\Myaccount\Settings@index');
  Route::group(['prefix' => 'notifications'], function () {
    Route::post('/read', 'Peertube\Myaccount\Notification@read');
    Route::post('/readAll', 'Peertube\Myaccount\Notification@readAll');
    Route::get('/{page?}', 'Peertube\Myaccount\Notification@index');
  });
  Route::get('/applications', 'Peertube\Myaccount\Applications@index');
  Route::group(['prefix' => 'blocklist'], function () {
    Route::get('/', 'Peertube\Myaccount\Blocklist\Accounts@index');
    Route::get('/accounts', 'Peertube\Myaccount\Blocklist\Accounts@index');
    Route::get('/servers', 'Peertube\Myaccount\Blocklist\Servers@index');
  });
});
Route::get('/my-library', 'Peertube\Mylibrary@index');

Route::group(['prefix' => 'admin'], function () {
  Route::get('/', 'Peertube\Admin\Users@index');
  Route::get('/users', 'Peertube\Admin\Users@index');
});

Route::group(['prefix' => 'my-library'], function () {
  Route::get('/', 'Peertube\Mylibrary\Videochannels@index');
  Route::get('/videos', 'Peertube\Mylibrary\Videos@index');
  Route::get('/video-playlists', 'Peertube\Mylibrary\Videoplaylists@index');

  Route::group(['prefix' => 'history'], function () {
    Route::get('/', 'Peertube\Mylibrary\History@index');
    Route::get('/videos', 'Peertube\Mylibrary\History\Videos@index');
  });
});

Route::group(['prefix' => 'videos'], function () {
  Route::get('/', 'Peertube\Videos\Local@index');
  Route::get('/subscriptions', 'Peertube\Videos\Subscriptions@index');
  Route::get('/overview/{page?}', 'Peertube\Videos\Overview@index');
  Route::get('/trending/{page?}', 'Peertube\Videos\Trending@index');
  Route::get('/recently-added/{page?}', 'Peertube\Videos\Recentlyadded@index');
  Route::get('/local/{page?}', 'Peertube\Videos\Local@index');
  Route::get('/upload', 'Peertube\Videos\Upload@index');
});
